Get invoice
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/billing/invoices/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/billing/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/billing/invoices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"number": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"currency": "<string>",
"totalCents": 123,
"amountDueCents": 123,
"amountPaidCents": 123,
"amountRemainingCents": 123,
"dueDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z",
"hostedInvoiceUrl": "<string>",
"subscriptionId": "<string>",
"lines": [
{
"description": "<string>",
"amountCents": 123,
"quantity": 123
}
]
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Billing
Get invoice
Requires read:billing. One invoice with its line items and hosted payment link.
GET
/
api
/
v1
/
billing
/
invoices
/
{id}
Get invoice
curl --request GET \
--url https://www.carstoragesoftware.com/api/v1/billing/invoices/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/billing/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/billing/invoices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"number": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"currency": "<string>",
"totalCents": 123,
"amountDueCents": 123,
"amountPaidCents": 123,
"amountRemainingCents": 123,
"dueDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"paidAt": "2023-11-07T05:31:56Z",
"hostedInvoiceUrl": "<string>",
"subscriptionId": "<string>",
"lines": [
{
"description": "<string>",
"amountCents": 123,
"quantity": 123
}
]
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Was this page helpful?
⌘I